README file for Commerce Authorize.Net

CONTENTS OF THIS FILE
---------------------
* Introduction
* Installation
* Testing
* Note about supported credit card types

INTRODUCTION
------------
Authorize.Net integration for the Drupal Commerce payment and checkout system.
Currently supports credit card payments on the checkout form via the AIM API
using the latest Commerce release. Additionally, integrates with the CIM API
to provide Card on File payment support.

* To submit bug reports and feature suggestions, or to track changes:
  https://www.drupal.org/project/commerce_authnet

INSTALLATION
------------
1. Create an account with Authorize.Net
    1. If you want to use Authorize.Net in test mode, then you'll need to sign
       up for an Authorize.Net sandbox account at
       https://developer.authorize.net/hello_world/sandbox.html
2. Download the latest module version from http://drupal.org/project/commerce_authnet
3. Enable Authorize.Net in the Commerce (Contrib) section at: /admin/modules

Testing
-------------
To test your implementation, add a product to your cart, proceed to the checkout page
and enter a credit card. We recommend using a sandbox account for this before
attempting to go live. If you're using a sandbox account, you can use the following
credit card to test a transaction

###### Visa Card
Credit Card #: 4111 1111 1111 1111
Expiration Date: Any 4 digit expiration greater than today's date
CVC (if enabled): Any 3 digit code

###### Master Card
Credit Card #: 5105105105105100
Expiration Date: Any 4 digit expiration greater than today's date
CVC (if enabled): Any 3 digit code

###### American Express
Credit Card #: 371449635398431
Expiration Date: Any 4 digit expiration greater than today's date
CVC (if enabled): Any 3 digit code

###### Discover
Credit Card #: 6011111111111117
Expiration Date: Any 4 digit expiration greater than today's date
CVC (if enabled): Any 3 digit code

Note about supported credit card types
--------------------------------------
Authorize.Net has the ability to process Visa, MasterCard, Discover,
American Express, Diners Club, and JCB. As per the gateway documentation only
MasterCard and Visa are accepted by default. You have to place a support
request to Authorize.Net to accept Amex and Discover cards.
Please goto https://support.authorize.net/s/article/How-can-I-add-remove-credit-card-types-that-I-can-accept for more information.
